ALTER TABLE QUESTIONNAIRE
ADD ID_WEB_PAGE_TEMPLATE NUMBER;

ALTER TABLE QUESTIONNAIRE
ADD NNLOCATION_ID NUMBER;

ALTER TABLE QUESTION
ADD BUTTON_ACTION_TYPE NUMBER;

ALTER TABLE SECTION_QUESTION
ADD REDIRECT_URL VARCHAR2(250 CHAR);

ALTER TABLE SECTION_QUESTION_DEFAULT
ADD REDIRECT_URL VARCHAR2(250 CHAR);

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, SC.NAME AS SECTION_NAME, 
  QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE,
  QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

ALTER TABLE WEB_PAGE_TEMPLATE
ADD CSS CLOB;

ALTER TABLE WEB_PAGE_TEMPLATE
ADD NNLOCATION_ID NUMBER;

CREATE OR REPLACE VIEW V_WEB_PAGE_TEMPLATE AS (
  SELECT WPT.ID_WEB_PAGE_TEMPLATE, WPT.NAME, WPT.CONTENT, WPT.ACTIVE, WPT.NNLOCATION_ID
	FROM WEB_PAGE_TEMPLATE WPT
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1198, SYSDATE, '5.5', 1118, 'Questionnaire template')
;