ALTER TABLE PRESPR
ADD NNLOCATION_ID NUMBER;

UPDATE PRESPR P
SET P.NNLOCATION_ID = (SELECT NNLOCATION_ID FROM NNPOMOL WHERE SIFRA = (SELECT KATEGORIJA FROM NNPRIVEZ WHERE ID_PRIVEZ = P.ID_PRIVEZ))
WHERE P.ID_PRIVEZ IS NOT NULL
AND P.NNLOCATION_ID IS NULL;

CREATE OR REPLACE VIEW V_PRESPR
AS (
SELECT P.ID, P.LOKACIJA, P.DATUM, P.NTIP, P.DOLZINA, P.IME_PLOVILA, P.REGISTRSKA_N, P.NZASTAVA, P.BELEZKA, P.OBJEKT, P.N_PRIVEZA, P.NTITLE, P.IME, P.PRIIMEK, P.NASLOV, P.MESTO, P.POSTA, P.NDRZAVA,
P.AVTOMOBIL, P.TOVORNJAK, P.PRIKOLICA, P.KAMPER, PREVOZNIK, P.N_OSEB, P.TIP_DOG, P.ID_LASTNIKA, P.ID_PLOVILA, P.STATUS, P.OSN_PRIVEZ, P.ID_MASTER, P.ID_SLAVE, P.EMAIL, P.TELEPHONE, P.HAS_BOAT,
P.ID_MARINA_EVENT, P.STATE, P.PROIZVAJALEC, P.ID_PRIVEZ, P.TYPE, P.NNLOCATION_ID,
PT.DESCRIPTION AS TYPE_DESCRIPTION, TP.OPIS AS NNTIP_OPIS, TP.INTERNI_OPIS AS NNTIP_INTERNI_OPIS, TI.OPIS AS NNTITLE_OPIS, TI.INTERNI_OPIS AS NNTITLE_INTERNI_OPIS
FROM PRESPR P
LEFT OUTER JOIN PRESPR_TYPE PT ON PT.CODE = P.TYPE
LEFT OUTER JOIN NNTIP TP ON TP.SIFRA = P.NTIP
LEFT OUTER JOIN NNTITLE TI ON TI.SIFRA = P.NTITLE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1261, SYSDATE, '5.5', 1181, 'VPrespr lokacija')
;
