ALTER TABLE FB_NOTE
ADD PRIORITY NUMBER;

DROP VIEW V_FB_NOTE;

CREATE OR REPLACE VIEW V_FB_NOTE
AS (
SELECT FN.ID_FB_NOTE, FN.NOTE, FN.ACTIVE, FN.TYPE, FN.ID_ARTIKEL, FN.ID_GRUPA, FN.PRIORITY,
FNT.DESCRIPTION AS TYPE_DESCRIPTION, SA.NAZIV1 AS PRODUCT_NAME, SG.NAZIV AS MATERIAL_GROUP_NAME
FROM FB_NOTE FN
LEFT OUTER JOIN FB_NOTE_TYPE FNT ON FNT.ID_FB_NOTE_TYPE = FN.TYPE
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = FN.ID_ARTIKEL
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = FN.ID_GRUPA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2118, SYSDATE, '5.5', 2038, 'FB note priority')
;
